Bug 1573631 - [RFE] Document all "oc adm diagnostics" checks/tests/diagnostics along with approaches for investigating/resolving
Summary: [RFE] Document all "oc adm diagnostics" checks/tests/diagnostics along with a...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks: 1724792
TreeView+ depends on / blocked
 
Reported: 2018-05-01 19:58 UTC by Thom Carlin
Modified: 2020-11-20 07:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-20 07:10:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Thom Carlin 2018-05-01 19:58:01 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/openshift_container_platform/3.9/html-single/cluster_administration/#admin-guide-diagnostics-tool

Section Number and Name: 

37.2. Using the Diagnostics Tool

Describe the issue: 

Only some of the diagnostics are listed.  Some background is provided but not enough for a casual user to investigate/resolve.

Suggestions for improvement: 

Document all diagnostics, including:
* Diagnostic Name (e.g. NetworkCheck)
* Message codes (e.g. DNet2006)
* Background/discussion/investigation/resolution

Additional information: 

Since this is a major effort, some ideas to work towards the resolution include:
* Target documentation by Diagnostics Name: [Below is 3.6 list]
  o AggregatedLogging
  o AnalyzeLogs
  o ClusterRegistry
  o ClusterRoleBindings
  o ClusterRoles
  o ClusterRouter
  o ConfigContexts
  o DiagnosticPod
  o EtcdWriteVolume
  o MasterConfigCheck
  o MasterNode
  o MetricsApiProxy
  o NetworkCheck
  o NodeConfigCheck
  o NodeDefinitions
  o RouteCertificateValidation
  o ServiceExternalIPs
  o UnitStatus
* Use existing KCS and bzs covering individual issues
* Add additional information via new KCS articles
* Command-line access: e.g. oc adm diagnose Dnet2006

Please advise on the preferred approach(es).  This RFE is intended to start the discussion.

Comment 1 Weibin Liang 2018-07-25 19:39:53 UTC
Both MasterConfigCheck and NodeConfigCheck from https://access.redhat.com/documentation/en-us/openshift_container_platform/3.9/html-single/cluster_administration/#admin-guide-diagnostics-tool not support in CLI:


[root@qe-weliang-311-master-etcd-1 ~]# oc adm diagnostics MasterConfigCheck
Usage:
  oc adm diagnostics [flags]

Available Commands:
  aggregatedlogging          Check aggregated logging integration for proper configuration
  all                        Diagnose common cluster problems
  analyzelogs                Check for recent problems in systemd service logs
  appcreate                  Create an application and test that it deploys correctly.
  clusterregistry            Check that there is a working Docker registry
  clusterrolebindings        Check that the default ClusterRoleBindings are present and contain the expected subjects
  clusterroles               Check that the default ClusterRoles are present and contain the expected permissions
  clusterrouter              Check there is a working router
  configcontexts             Validate client config context is complete and has connectivity
  diagnosticpod              Create a pod to run diagnostics from the application standpoint
  etcdwritevolume            Check the volume of writes against etcd over a time period and classify them by operation
and key
  masternode                 Check if master is also running node (for Open vSwitch)
  metricsapiproxy            Check the integrated heapster metrics can be reached via the API proxy
  networkcheck               Create a pod on all schedulable nodes and run network diagnostics from the application
standpoint
  nodedefinitions            Check node records on master
  routecertificatevalidation Check all route certificates for certificates that might be rejected by extended
validation.
  securitycontextconstraints Check that the default SecurityContextConstraints are present and contain the expected
permissions
  serviceexternalips         Check for existing services with ExternalIPs that are disallowed by master config
  unitstatus                 Check status for related systemd units

Options:
      --cluster-context='': Client context to use for cluster administrator
  -l, --diaglevel=1: Level of diagnostic output: 4: Error, 3: Warn, 2: Notice, 1: Info, 0: Debug
      --host=false: If true, look for systemd and journald units even without master/node config
      --master-config='': Path to master config file (implies --host)
      --node-config='': Path to node config file (implies --host)
      --prevent-modification=false: If true, may be set to prevent diagnostics making any changes via the API

Use "oc adm <command> --help" for more information about a given command.
Use "oc adm options" for a list of global command-line options (applies to all commands).
error: 
Unexpected command line argument(s): [MasterConfigCheck]


Note You need to log in before you can comment on or make changes to this bug.